var locale = 'en';
var url = 'https://app.puzzley.ir';
var online = true,
    $show_ad = true,
    isDevice = true,
    check = false,
    phone_id = '',
    default_access_page = [],
    trialMode = false,
    $app_data = {
        t: '1625409353',
        version: '0.1.16',
        target_market: "link"
    },
    $app_sl = 'eyJpdiI6ImNOcXpsUU9Ua3piWXFxdFwvVWc3Zk1nPT0iLCJ2YWx1ZSI6InRZVzE3YjZTMlE2WGdHNlpnQno4OStSbmV0U3RMZTQwRmRLdlFPMWViU3M9IiwibWFjIjoiOTBlN2RlNmZiZTUzY2M1YzVmMzg5ZGMzMjhmMGYyMjcyYjliNTc1MTUzZDA2NTYxYmNhNTU1NjhkZmNkMDRjYSJ9',
    $device_info = {};

var ngApp = angular.module('ngApp', ['ionic', 'ngResource', 'ngApp.controllers', 'ngApp.services', 'ionic-datepicker'])
    .run(function($ionicPlatform, $rootScope, $ionicLoading, $ionicHistory, $ionicPopup, $state, $ionicModal, $ionicScrollDelegate, $location , Auth) {
        $rootScope.$on('loading:show', function() {
            $ionicLoading.show({
                noBackdrop: true
            });
        });

        $rootScope.isDevice = isDevice;
        // Show IOS tutorial popup
        var showIosTutorialPopup = function (e) {
            if (e.isStandalone) {
                return;
            }

            if (e.isEmulator) {
                return;
            }

            if (!e.isIOS) {
                return;
            }

            if (e.isWebView) {
                return;
            }

            $rootScope.openIOSTutorialModal();
        }

        // Show Android tutorial popup
        var showAndroidTutorialPopup = function (e) {
            if (e.isStandalone) {
                return;
            }

            if (e.isEmulator) {
                return;
            }

            if (!e.isAndroid) {
                return;
            }

            if (e.isWebView) {
                return;
            }

            $rootScope.openAndroidTutorialModal();
        }

        // Check if application load in web app or device
        // ATTENTION: The emulator in explorers is not our
        // target for this feature. just mobile devices.
        var executeDeviceReadyFunctions = function () {
            var event = {
                isAndroid: ionic.Platform.isAndroid(),
                isIOS: ionic.Platform.isIOS(),
                isStandalone: ionic.Platform.isAndroid() ? window.matchMedia('(display-mode: standalone)').matches : window.navigator.standalone === true,
                // We are in the emulator then should not do anythings
                isEmulator: window.location.pathname.match(/^\/mobile\//) ? true : false,
                isWebView: ionic.Platform.isWebView()
            };

            window.platform_info = event;

            // Dispach event
            showIosTutorialPopup(event);
            showAndroidTutorialPopup(event);
                        setTimeout(checkapp, 3000); //wait for app setup completley
        }

        $rootScope.$on('loading:hide', function() {
            $ionicLoading.hide();
        });

        $rootScope.goToStateWithDisableBack = function (to) {
            $ionicHistory.nextViewOptions({
                    historyRoot: true,
                    disableBack: true
            });
            $state.go(to, {}, {
                location: "replace", 
                reload: true
            });
            setTimeout(function(){
                $ionicHistory.clearHistory();
            },500);
        }

        $rootScope.dataTapStatus = false;

        $ionicPlatform.ready(function() {
            /*Auth.init();*/
                        // Execute all neccessary function when device was ready
            executeDeviceReadyFunctions();
        });

        $rootScope.backButtonPressedOnceToExit = false;
        $ionicPlatform.registerBackButtonAction(function(e) {
            e.preventDefault();
            if ($rootScope.backButtonPressedOnceToExit) {
                ionic.Platform.exitApp(); 
            } 
                        else if (window.location.hash.indexOf("web-page") !== -1) {
                window.history.back();
                if (window.location.hash == homeHash) {
                    $rootScope.backButtonPressedOnceToExit = true;
                    setTimeout(function() {
                        $rootScope.backButtonPressedOnceToExit = false;
                    }, 300);
                }
            } else if ($ionicHistory.backView()) {
                $ionicHistory.goBack();
            } else if (hasHome && window.location.hash != homeHash) {
                $ionicHistory.nextViewOptions({
                    disableBack: true
                });
                window.location.hash = homeHash;
            } else {
                $rootScope.backButtonPressedOnceToExit = true;
                showToast(lang('global.press_again_to_exit'), 2000);
                setTimeout(function() {
                    $rootScope.backButtonPressedOnceToExit = false;
                }, 2500);
            }
            return false;
        }, 101);

        
        $rootScope.$on('$stateChangeStart', function(event, toState, toStateParams, fromState, fromStateParams) {
            if($rootScope.openModal)
                $rootScope.openModal.hide();
                
            $rootScope.hideTabs = false;

                                    if (
                (toState.pageid != 1 && !Auth.CanAccess(toState.pageid)) 
                || (typeof toStateParams.pageid != 'undefined' && !Auth.CanAccess(toStateParams.pageid))
                || (
                    typeof toStateParams.id !== 'undefined' 
                    && toStateParams.id != 1 
                    && !Auth.CanAccess(toStateParams.id) 
                    && toStateParams.func == 'getIndex'
                    )
            ) {
                event.preventDefault();
                if(Auth.Check()) {
                                            $ionicPopup.confirm({
                            cssClass: 'signup_pupop',
                            title: 'عدم دسترسی',
                            template: '<p>شما به این صفحه دسترسی ندارید</p><p>باید از خدمات ویژه ما استفاده نمایید</p>',
                            okText: 'ارتقا',
                            okType: 'button-clear button-balanced',
                            cancelText: 'انصراف',
                            cancelType: 'button-clear button-assertive',
                        }).then(function(confirm) {
                            if (confirm) {
                                window.location.hash = '#/nav/widget/signup/selectPlan/eyJpdiI6InI2T0o5cndPbGxIaFhKeWpJaENrQ0E9PSIsInZhbHVlIjoiV0toc0pPVCtoMGNpWTkxZ1NmQzFNK1QxaGk1MUo2QXZHUXJaQUlvbXpIZE9odlhyVTlySkhUemFJSmRnTXRiUSIsIm1hYyI6IjIzNTE2NTI4N2FjMTIxYzI0MDIwN2QwYmMyMzBmYTNmMDdkOTFiZDk5ODg0NGFmMmQxODczOTBlN2JjNjZjZDAifQ%3D%3D/1';
                            }
                        });
                                    } else {
                    $ionicPopup.confirm({
                        cssClass: 'signup_pupop',
                        title: 'حساب کاربری',
                        template: 'برای دسترسی به این صفحه باید ثبت نام کنید و از خدمات ویژه نرم افزار شرجی استفاده نمایید&nbsp;',
                        okText: 'ورود',
                        okType: 'button-clear button-balanced',
                        cancelText: 'انصراف',
                        cancelType: 'button-clear button-assertive',
                    }).then(function(confirm) {
                        if (confirm) {
                            $state.go('nav.signup775');
                        }
                    });
                }
            }                    
                    });

                $rootScope.forceToLoggedIn = function () {
            if (Auth.Check()) {
                return;
            }

            $ionicPopup.confirm({
                cssClass: 'signup_pupop',
                title: 'حساب کاربری',
                template: '.برای دسترسی به این امکان باید حتما وارد شوید',
                okText: 'ورود',
                okType: 'button-clear button-balanced',
                cancelText: 'انصراف',
                cancelType: 'button-clear button-assertive',
            }).then(function(confirm) {
                if (confirm) {
                    $state.go('nav.signup775');
                }
            });
        }

        $rootScope.isUserLoggedIn = function () {
            return Auth.Check();
        }
        
        $rootScope.iOSTutorialModal = $ionicModal.fromTemplate( 
            '<ion-modal-view>' +
                '<ion-content class="webapp-help ios rtl">'+
                    '<div style="display: flex;flex-direction: column;">' +
                        '<div style="flex:1;">' +
                            '<div style="display: flex;justify-content: center; margin-top: 20%;">' +
                                '<img src="/uploads/attachments/Mobile/Model/App/headers/000/048/553/icon40/icon.PNG" style="">' +
                            '</div>' +

                            '<div style="display: flex;justify-content: center;text-align: center;margin: 15px 15%;">' +
                                'وب‌اپلیکیشن " Sharji.Me " را به صفحه اصلی موبایل خود اضافه کنید.' +
                            '</div>' +

                            '<div class="theme-bg-simple" style="display: block;width: 80vw;height: 4px;margin: auto;"></div>' +
                            '<div style="margin: 0 10%;">' +
                                '<ul style="margin-top: 10px;">' +
                                    '<li style="line-height:50px">١- در نوار پایین روی دکمه <b>share</b> <svg enable-background="new 0 0 50 50" height="25px" id="Layer_1" version="1.1" viewBox="0 0 50 50" width="25px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" style="vertical-align: middle;"><polyline fill="none" points="17,10 25,2 33,10   " stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2"></polyline><line fill="none" stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2" x1="25" x2="25" y1="32" y2="2.333"></line><rect fill="none" height="50" width="50"></rect><path d="M17,17H8v32h34V17h-9" fill="none" stroke="#007AFF" stroke-linecap="round" stroke-miterlimit="10" stroke-width="2"></path></svg> بزنید.</li>' +
                                    '<li>۲- در قسمت پایین از منوی باز شده، گزینه <b>Add to Home Screen</b> را نتخاب کنید.</li>' +
                                    '<img src="/assets/images/add-to-homescreen.png" style="margin-top:25px;margin-bottom:25px;width:100%;">' +
                                    '<li>۳- در مرحله بعد در قسمت بالا روی <b style="color:#007AFF;">Add</b> بزنید.</li>' +
                                '</ul>' +
                            '</div>' +
                        '</div>' +
                        
                        '<div style="margin:5px;margin-top: 25px;">' +
                            '<button class="button button-block button-balanced" ng-click="closeIOSTutorialModal()" style="width: 80%;margin: auto;">' +
                                'تایید' +
                            '</button>' +
                        '</div>' +
                    '</div>' +
                '</ion-content>' +

            '</ion-modal-view>', {
                scope: $rootScope,
                animation: 'slide-in-up'
            });

        $rootScope.openIOSTutorialModal = function() {
            $rootScope.iOSTutorialModal.show();
        };
            
        $rootScope.closeIOSTutorialModal = function() {
            $rootScope.iOSTutorialModal.hide();
        };

        $rootScope.androidTutorialModal = $ionicModal.fromTemplate( 
            '<ion-modal-view>' +
                '<ion-content class="webapp-help android rtl">'+
                    '<div style="display: flex;flex-direction: column;">' +
                        '<div style="flex:1;">' +
                            '<div style="display: flex;justify-content: center; margin-top: 20%;">' +
                                '<img src="/uploads/attachments/Mobile/Model/App/headers/000/048/553/icon40/icon.PNG" style="">' +
                            '</div>' +

                            '<div style="display: flex;justify-content: center;text-align: center;margin: 15px 15%;">' +
                                'وب‌اپلیکیشن " Sharji.Me " را به صفحه اصلی موبایل خود اضافه کنید.' +
                            '</div>' +

                            '<div class="theme-bg-simple" style="display: block;width: 80vw;height: 4px;margin: auto;"></div>' +
                            '<div style="margin: 0 10%;">' +
                                '<ul style="margin-top:10px;">' +
                                    '<li style="margin:25px 0;">١- در قسمت گوشه سمت راست دکمه <b>settings</b> <svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 512 512" style="width: 20px;vertical-align: middle;enable-background:new 0 0 512 512;" xml:space="preserve"><g><g><g><circle cx="256" cy="256" r="64"></circle><circle cx="256" cy="448" r="64"></circle><circle cx="256" cy="64" r="64"></circle></g></g></g></svg> را بزنید.</li>' +
                                    '<li style="margin-bottom:25px;">۲- در قسمت پایین از منوی باز شده، گزینه <b>Add to Home Screen</b> را نتخاب کنید.</li>' +
                                    '<li style="margin-bottom:25px;">۳- در قسمت پایین روی <b style="color:#007AFF;">Add</b> بزنید.</li>' +
                                '</ul>' +
                            '</div>' +
                        '</div>' +
                        
                        '<div style="margin:5px;margin-top: 25px;">' +
                            '<button class="button button-block button-balanced" ng-click="closeAndroidTutorialModal()" style="width: 80%;margin: auto;">' +
                                'تایید' +
                            '</button>' +
                        '</div>' +
                    '</div>' +
                '</ion-content>' +

            '</ion-modal-view>', {
                scope: $rootScope,
                animation: 'slide-in-up'
            });

        $rootScope.openAndroidTutorialModal = function() {
            $rootScope.androidTutorialModal.show();
        };
            
        $rootScope.closeAndroidTutorialModal = function() {
            $rootScope.androidTutorialModal.hide();
        };

        $rootScope.openImageViewerModal = function(src) {
            $rootScope.imageViewerModal = $ionicModal.fromTemplate( 
                '<div class="modal image-viewer-modal transparent ltr" on-swipe-down="closeImageViewerModal()">'+
                    '<div class="transparent-bar">'+
                        '<div class="back" ng-click="closeImageViewerModal()"><i class="ion-close-round"></i></div>'+
                    '</div>'+
                    '<ion-scroll class="imageContiner" direction="xy" scrollbar-x="false" scrollbar-y="false" zooming="true" min-zoom="1" delegate-handle="imageviewer-zoom-pane" overflow-scroll="false">'+
                        '<span></span>'+
                        '<img ng-src="{{ ImageViewerPhoto }}" on-double-tap="zoom()" />'+
                    '</ion-scroll>'+
                    '<div class="caption rtl">'+
                                                '<div class="photo-download">'+
                            '<a href="{{ ImageViewerPhoto }}" target="_system" download>' +
                                '<i class="ion-android-download"></i>'+
                            '</a>' +
                        '</div>'+
                                                                        '<div class="photoshare" ng-click="shareImage(ImageViewerPhoto, $event)">'+
                            '<i class="ion-android-share-alt"></i>'+
                        '</div>'+
                                            '</div>'+
                '</div>', {
                scope: $rootScope,
                animation: 'slide-in-up',
                hardwareBackButtonClose: true
            });
            $rootScope.ImageViewerPhoto = src;
            $rootScope.imageViewerModal.show();
        };

        $rootScope.imageViewerModal
        $rootScope.shareImage = function(src, event) {
            shareImage('', src, event);
        };
            
        $rootScope.closeImageViewerModal = function() {
            $rootScope.imageViewerModal.remove();
        };

        $rootScope.inZoom = false;
        $rootScope.zoom = function(){
            if ($rootScope.inZoom) {
                $ionicScrollDelegate.$getByHandle('imageviewer-zoom-pane').zoomTo(1, true);
                $rootScope.inZoom = false;
            } else {
                $ionicScrollDelegate.$getByHandle('imageviewer-zoom-pane').zoomTo(2, true);
                $rootScope.inZoom = true;
            }
        }
        
        $rootScope.activeTrialMode = function(){
            $rootScope.isTrial = true;
            $rootScope.trial_message = 'نسخه دمو - آزمایشی';
            $rootScope.$apply();
            $ionicPopup.alert({
                cssClass: 'trial_pupop',
                title: 'نسخه تست',
                template: 'نسخه تست متن',
                okText: 'تایید',
                okType: 'button-clear button-balanced'
            });
            setInterval(function(){
                showToast('نسخه تست', 2800, 'center');
            }, 60000);
        }
    })

    .config(function($stateProvider, $locationProvider, $urlRouterProvider, $ionicConfigProvider, $httpProvider, $compileProvider) {

                    $ionicConfigProvider.scrolling.jsScrolling(true);
        
        $compileProvider.aHrefSanitizationWhitelist(/^\s*((https?|ftp|mailto|sms|tel|geo|bazaar|store|myket|tg|instagram|javascript):)|(#\/nav\/.*)/);

        $ionicConfigProvider.templates.maxPrefetch(0);
        $ionicConfigProvider.backButton.previousTitleText(false).text('');
        $ionicConfigProvider.navBar.positionSecondaryButtons('right');
        $ionicConfigProvider.navBar.positionPrimaryButtons('left');

        $httpProvider.interceptors.push(function($rootScope, $q) {
            return {
                /* http request show loading */
                request: function(config) {
                    if (typeof config.noLoading == "undefined" || config.noLoading != true) {
                        $rootScope.$broadcast('loading:show');
                    }
                    return config
                },
                /* Hide loading in case any occurred */
                requestError: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return response
                },
                /* Hide loading once got response */
                response: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return response
                },
                /* Hide loading if got any response error  */
                responseError: function(response) {
                    $rootScope.$broadcast('loading:hide');
                    return $q.reject(response);
                }
            }
        });

        
        $ionicConfigProvider.navBar.alignTitle('center');

        $stateProvider
            .state('nav', {
                url: '/nav',
                abstract: true,
                templateUrl: 'nav.html',
                controller: 'NavCtrl',
                secured: 0,
                pageid: 1
            })
            .state('nav.widget1', {
                url: '/widget/:widget/:func/:sl/:id',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.widget2', {
                url: '/widget/:widget/:func/:sl/:id/:extra',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id + '/' + params.extra;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.widget3', {
                url: '/online/:widget/:func/:pageId/:sl/:id',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id ;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.watermarkPage', {
                url: "/watermarkPage",
                views: {
                    'mainContent': {
                        templateUrl: 'appwatermark.html'
                    }
                },
                secured: 0,
                pageid: 1
            })
                        
             .state('nav.home-screen119', { url: '/home-screen119', cache: 'true', secured : 0, pageid : '1', views: { 'mainContent': { templateUrl: 'templates/home-screen119.html' } } })  .state('nav.menu430', { url: '/menu430', cache: 'true', secured : 0, pageid : '426320', views: { 'mainContent': { templateUrl: 'templates/menu430.html' } } })  .state('nav.menu690', { url: '/menu690', cache: 'true', secured : 0, pageid : '424272', views: { 'mainContent': { templateUrl: 'templates/menu690.html' } } })  .state('nav.menu689', { url: '/menu689', cache: 'true', secured : 0, pageid : '427771', views: { 'mainContent': { templateUrl: 'templates/menu689.html' } } })  .state('nav.menu199', { url: '/menu199', cache: 'true', secured : 0, pageid : '423601', views: { 'mainContent': { templateUrl: 'templates/menu199.html' } } })  .state('nav.web-page545', { url: '/web-page545', cache: 'false', secured : 0, pageid : '423161', views: { 'mainContent': { templateUrl: 'templates/web-page545.html' } } })  .state('nav.web-page180', { url: '/web-page180', cache: 'false', secured : 0, pageid : '423457', views: { 'mainContent': { templateUrl: 'templates/web-page180.html' } } })  .state('nav.menu452', { url: '/menu452', cache: 'true', secured : 0, pageid : '425602', views: { 'mainContent': { templateUrl: 'templates/menu452.html' } } })  .state('nav.menu181', { url: '/menu181', cache: 'true', secured : 0, pageid : '424772', views: { 'mainContent': { templateUrl: 'templates/menu181.html' } } })  .state('nav.menu925', { url: '/menu925', cache: 'true', secured : 0, pageid : '427783', views: { 'mainContent': { templateUrl: 'templates/menu925.html' } } })  .state('nav.menu714', { url: '/menu714', cache: 'true', secured : 0, pageid : '430112', views: { 'mainContent': { templateUrl: 'templates/menu714.html' } } })  .state('nav.file-shop509', { url: '/file-shop509', cache: 'true', secured : 0, pageid : '424783', views: { 'mainContent': { templateUrl: 'templates/file-shop509.html' } } })  .state('nav.menu373', { url: '/menu373', cache: 'true', secured : 0, pageid : '427345', views: { 'mainContent': { templateUrl: 'templates/menu373.html' } } })  .state('nav.menu230', { url: '/menu230', cache: 'true', secured : 0, pageid : '425722', views: { 'mainContent': { templateUrl: 'templates/menu230.html' } } })  .state('nav.rss783', { url: '/rss783', cache: 'true', secured : 0, pageid : '427390', views: { 'mainContent': { templateUrl: 'templates/rss783.html' } } })  .state('nav.rss390', { url: '/rss390', cache: 'true', secured : 0, pageid : '426515', views: { 'mainContent': { templateUrl: 'templates/rss390.html' } } })  .state('nav.web-page177', { url: '/web-page177', cache: 'false', secured : 0, pageid : '423455', views: { 'mainContent': { templateUrl: 'templates/web-page177.html' } } })  .state('nav.payment266', { url: '/payment266', cache: 'true', secured : 0, pageid : '426027', views: { 'mainContent': { templateUrl: 'templates/payment266.html' } } })  .state('nav.forms690', { url: '/forms690', cache: 'true', secured : 0, pageid : '423644', views: { 'mainContent': { templateUrl: 'templates/forms690.html' } } })  .state('nav.forms609', { url: '/forms609', cache: 'true', secured : 0, pageid : '423175', views: { 'mainContent': { templateUrl: 'templates/forms609.html' } } })  .state('nav.about-us497', { url: '/about-us497', cache: 'true', secured : 0, pageid : '423255', views: { 'mainContent': { templateUrl: 'templates/about-us497.html' } } })  .state('nav.menu575', { url: '/menu575', cache: 'true', secured : 0, pageid : '430729', views: { 'mainContent': { templateUrl: 'templates/menu575.html' } } })  .state('nav.contact-us267', { url: '/contact-us267', cache: 'true', secured : 0, pageid : '423173', views: { 'mainContent': { templateUrl: 'templates/contact-us267.html' } } })  .state('nav.signup775', { url: '/signup775', cache: 'true', secured : 0, pageid : '1', views: { 'mainContent': { templateUrl: 'templates/signup775.html' } } })  .state('nav.contact-us685', { url: '/contact-us685', cache: 'true', secured : 0, pageid : '429734', views: { 'mainContent': { templateUrl: 'templates/contact-us685.html' } } })  .state('nav.rss896', { url: '/rss896', cache: 'true', secured : 0, pageid : '423603', views: { 'mainContent': { templateUrl: 'templates/rss896.html' } } })  .state('nav.rss701', { url: '/rss701', cache: 'true', secured : 0, pageid : '423607', views: { 'mainContent': { templateUrl: 'templates/rss701.html' } } })  .state('nav.rss922', { url: '/rss922', cache: 'true', secured : 0, pageid : '423610', views: { 'mainContent': { templateUrl: 'templates/rss922.html' } } })  .state('nav.rss853', { url: '/rss853', cache: 'true', secured : 0, pageid : '423613', views: { 'mainContent': { templateUrl: 'templates/rss853.html' } } })  .state('nav.rss310', { url: '/rss310', cache: 'true', secured : 0, pageid : '423614', views: { 'mainContent': { templateUrl: 'templates/rss310.html' } } })  .state('nav.rss260', { url: '/rss260', cache: 'true', secured : 0, pageid : '423615', views: { 'mainContent': { templateUrl: 'templates/rss260.html' } } })  .state('nav.rss951', { url: '/rss951', cache: 'true', secured : 0, pageid : '423858', views: { 'mainContent': { templateUrl: 'templates/rss951.html' } } })  .state('nav.rss197', { url: '/rss197', cache: 'true', secured : 0, pageid : '423860', views: { 'mainContent': { templateUrl: 'templates/rss197.html' } } })  .state('nav.rss534', { url: '/rss534', cache: 'true', secured : 0, pageid : '423861', views: { 'mainContent': { templateUrl: 'templates/rss534.html' } } })  .state('nav.rss836', { url: '/rss836', cache: 'true', secured : 0, pageid : '423859', views: { 'mainContent': { templateUrl: 'templates/rss836.html' } } })  .state('nav.music359', { url: '/music359', cache: 'true', secured : 0, pageid : '427589', views: { 'mainContent': { templateUrl: 'templates/music359.html' } } })  .state('nav.menu635', { url: '/menu635', cache: 'true', secured : 0, pageid : '427606', views: { 'mainContent': { templateUrl: 'templates/menu635.html' } } })  .state('nav.rss304', { url: '/rss304', cache: 'true', secured : 0, pageid : '424640', views: { 'mainContent': { templateUrl: 'templates/rss304.html' } } })  .state('nav.music414', { url: '/music414', cache: 'true', secured : 0, pageid : '424278', views: { 'mainContent': { templateUrl: 'templates/music414.html' } } })  .state('nav.music136', { url: '/music136', cache: 'true', secured : 0, pageid : '423207', views: { 'mainContent': { templateUrl: 'templates/music136.html' } } })  .state('nav.music547', { url: '/music547', cache: 'true', secured : 0, pageid : '424276', views: { 'mainContent': { templateUrl: 'templates/music547.html' } } })  .state('nav.search700', { url: '/search700', cache: 'true', secured : 0, pageid : '424773', views: { 'mainContent': { templateUrl: 'templates/search700.html' } } })  .state('nav.news131', { url: '/news131', cache: 'true', secured : 0, pageid : '424812', views: { 'mainContent': { templateUrl: 'templates/news131.html' } } })  .state('nav.news964', { url: '/news964', cache: 'true', secured : 0, pageid : '424816', views: { 'mainContent': { templateUrl: 'templates/news964.html' } } })  .state('nav.news683', { url: '/news683', cache: 'true', secured : 0, pageid : '424817', views: { 'mainContent': { templateUrl: 'templates/news683.html' } } })  .state('nav.about-us970', { url: '/about-us970', cache: 'true', secured : 0, pageid : '425723', views: { 'mainContent': { templateUrl: 'templates/about-us970.html' } } })  .state('nav.about-us269', { url: '/about-us269', cache: 'true', secured : 0, pageid : '425795', views: { 'mainContent': { templateUrl: 'templates/about-us269.html' } } })  .state('nav.home-screen490', { url: '/home-screen490', cache: 'true', secured : 0, pageid : '426133', views: { 'mainContent': { templateUrl: 'templates/home-screen490.html' } } })  .state('nav.aparat268', { url: '/aparat268', cache: 'true', secured : 0, pageid : '579114', views: { 'mainContent': { templateUrl: 'templates/aparat268.html' } } })  .state('nav.aparat762', { url: '/aparat762', cache: 'true', secured : 0, pageid : '426238', views: { 'mainContent': { templateUrl: 'templates/aparat762.html' } } })  .state('nav.aparat504', { url: '/aparat504', cache: 'true', secured : 0, pageid : '426240', views: { 'mainContent': { templateUrl: 'templates/aparat504.html' } } })  .state('nav.aparat370', { url: '/aparat370', cache: 'true', secured : 0, pageid : '426242', views: { 'mainContent': { templateUrl: 'templates/aparat370.html' } } })  .state('nav.aparat688', { url: '/aparat688', cache: 'true', secured : 0, pageid : '426245', views: { 'mainContent': { templateUrl: 'templates/aparat688.html' } } })  .state('nav.web-page926', { url: '/web-page926', cache: 'false', secured : 0, pageid : '426322', views: { 'mainContent': { templateUrl: 'templates/web-page926.html' } } })  .state('nav.web-page269', { url: '/web-page269', cache: 'false', secured : 0, pageid : '426323', views: { 'mainContent': { templateUrl: 'templates/web-page269.html' } } })  .state('nav.rss411', { url: '/rss411', cache: 'true', secured : 0, pageid : '426894', views: { 'mainContent': { templateUrl: 'templates/rss411.html' } } })  .state('nav.rss138', { url: '/rss138', cache: 'true', secured : 0, pageid : '427794', views: { 'mainContent': { templateUrl: 'templates/rss138.html' } } })  .state('nav.music764', { url: '/music764', cache: 'true', secured : 0, pageid : '428364', views: { 'mainContent': { templateUrl: 'templates/music764.html' } } })  .state('nav.music869', { url: '/music869', cache: 'true', secured : 0, pageid : '427991', views: { 'mainContent': { templateUrl: 'templates/music869.html' } } })  .state('nav.music546', { url: '/music546', cache: 'true', secured : 0, pageid : '428203', views: { 'mainContent': { templateUrl: 'templates/music546.html' } } })  .state('nav.music124', { url: '/music124', cache: 'true', secured : 0, pageid : '428177', views: { 'mainContent': { templateUrl: 'templates/music124.html' } } })  .state('nav.music792', { url: '/music792', cache: 'true', secured : 0, pageid : '428197', views: { 'mainContent': { templateUrl: 'templates/music792.html' } } })  .state('nav.music105', { url: '/music105', cache: 'true', secured : 0, pageid : '427605', views: { 'mainContent': { templateUrl: 'templates/music105.html' } } })  .state('nav.music674', { url: '/music674', cache: 'true', secured : 0, pageid : '428204', views: { 'mainContent': { templateUrl: 'templates/music674.html' } } })  .state('nav.music370', { url: '/music370', cache: 'true', secured : 0, pageid : '429296', views: { 'mainContent': { templateUrl: 'templates/music370.html' } } })  .state('nav.rss234', { url: '/rss234', cache: 'true', secured : 0, pageid : '429738', views: { 'mainContent': { templateUrl: 'templates/rss234.html' } } })  .state('nav.menu535', { url: '/menu535', cache: 'true', secured : 0, pageid : '429742', views: { 'mainContent': { templateUrl: 'templates/menu535.html' } } })  .state('nav.web-page467', { url: '/web-page467', cache: 'false', secured : 0, pageid : '430732', views: { 'mainContent': { templateUrl: 'templates/web-page467.html' } } })  .state('nav.web-page289', { url: '/web-page289', cache: 'false', secured : 0, pageid : '430730', views: { 'mainContent': { templateUrl: 'templates/web-page289.html' } } })  .state('nav.web-page482', { url: '/web-page482', cache: 'false', secured : 0, pageid : '430731', views: { 'mainContent': { templateUrl: 'templates/web-page482.html' } } })  .state('nav.web-page705', { url: '/web-page705', cache: 'false', secured : 0, pageid : '481377', views: { 'mainContent': { templateUrl: 'templates/web-page705.html' } } })  .state('nav.web-page536', { url: '/web-page536', cache: 'false', secured : 0, pageid : '578826', views: { 'mainContent': { templateUrl: 'templates/web-page536.html' } } })  .state('nav.aparat128', { url: '/aparat128', cache: 'true', secured : 0, pageid : '604211', views: { 'mainContent': { templateUrl: 'templates/aparat128.html' } } })  .state('nav.aparat480', { url: '/aparat480', cache: 'true', secured : 0, pageid : '604212', views: { 'mainContent': { templateUrl: 'templates/aparat480.html' } } })  .state('nav.home-screen540', { url: '/home-screen540', cache: 'true', secured : 0, pageid : '604214', views: { 'mainContent': { templateUrl: 'templates/home-screen540.html' } } }) 
        
                    .state('nav.feed', {
                url: "/feeds/:entryId/:hashCode",
                views: {
                    'mainContent': {
                        template: '<ion-view title="{{entry.title}}"><ion-content class=""><div><img class="margin-negative2 share-image" width="100%" ng-if="entry.feedImage" ng-src="{{entry.feedImage}}"></div><h3 class="transparent header-product title item_name position-relative margin-top-header item-contact share-title"> {{entry.title}} </h3><div class="transparent feed tabs-contents item-contact" ><div class="inform" ng-show="entry.author"><i class="ion-person"></i><span ng-bind-html="entry.author"></span></div><p ng-bind-html="entry.content" class="feedcontent share-message"></p><a class="category" ng-repeat="category in entry.categories">{{category}}</a><span class="share-url ng-hide" data-share-url="{{entry.link}}"></span><center><button class="icon-left ion-share button-custom item-circle2" ng-click="loadURL()"></button><button class="icon-left ion-android-share-alt button-custom item-circle2" ng-click="doShare($event)"></button></center> </div></ion-content></ion-view>',
                        controller: 'FeedCtrl'
                    }
                },
                secured: 0,
                pageid: 1
            })
        
                    .state('nav.puzzleysearch', {
                url: '/puzzleysearch/:widgetslug/:search',
                cache: 'false',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return 'templates/' + params.widgetslug + '.html';
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
            .state('nav.pzzOnlineSearch', {
                url: '/oSearch/:pageid/:widget/:func/:sl/:id',
                views: {
                    'mainContent': {
                        templateUrl: function(params) {
                            return url + '/api/v1/widget/route/' + params.widget + '/' + params.func + '/' + params.sl + '/' + params.id;
                        }
                    }
                },
                secured: 0,
                pageid: 1
            })
                ;
        $urlRouterProvider.otherwise('/nav/home-screen119');
    });

    var appsetting = (localStorage.app48553setting) ? JSON.parse(localStorage.app48553setting) : {};
    appsettingInit();

function saveSetting() {
    localStorage.app48553setting = JSON.stringify(appsetting)
}

document.addEventListener("online", function() {
    online = true;
}, false);
document.addEventListener("offline", function() {
    online = false;
}, false);
function isOnline() {
    return online;
}

var homeHash = "#/nav/home-screen119";
var homeState = "nav.home-screen119";
var hasHome = true;
/* iap message */
    var signupHash = "#/nav/signup775";

function checkapp() {
    if (!check) {
        if (typeof device == "object") {
            $device_info.platform = device.platform;
            $device_info.version = device.version;
            $device_info.uuid = device.uuid;
            $device_info.model = device.model;
        }
        check = true;
        $.post(url + '/api/v1/app/check-app/4NZl',{
            device: $device_info,
            app_data : $app_data
        })
            .done(function(data) {
                if (typeof(data.active) != 'undefined' && data.active == 0) {
                    alert('این اپلیکیشن غیرفعال است.');
                    window.localStorage['active'] = 'notActive';
                    ionic.Platform.exitApp();
                } else if (typeof(data.active) != 'undefined' && data.active == 1) {
                    window.localStorage['active'] = true;
                }
            }).fail(function() {
                if (window.localStorage['active'] == 'notActive') {
                    alert('این اپلیکیشن غیرفعال است.');
                    ionic.Platform.exitApp();
                }
                check = false;
            });
    }
}
document.addEventListener("deviceready", function() {
    setTimeout(function() {
        if (window.localStorage['active'] == 'notActive') {
            alert('این اپلیکیشن غیرفعال است.');
            ionic.Platform.exitApp();
        }
    }, 10000);
    document.addEventListener("online", function() {
        setTimeout(checkapp, 6000);
    }, false);
    isDevice = true;
    var $rootScope = angular.element(document.body).injector().get('$rootScope');
    $rootScope.isDevice = true;
    $rootScope.$apply();
    setTimeout(function() {
        $('body').on('click', 'a[target="_system"]', function(e) {
            e.preventDefault();
            var src = $(this).attr("href");
            if (typeof cordova !== 'undefined' && typeof cordova.InAppBrowser !== 'undefined') {
                cordova.InAppBrowser.open(encodeURI(src), '_system');
            } else {
                window.open(src, '_system');
            }
        });
        $('body').on('click', 'a[target="_blank"]', function(e) {
            e.preventDefault();
            var src = $(this).attr("href");
            if (typeof cordova !== 'undefined' && typeof cordova.InAppBrowser !== 'undefined') {
                cordova.InAppBrowser.open(encodeURI(src), '_system');
            } else {
                window.open(src, '_system');
            }
        });
    }, 3000);

    if (trialMode) {
        $rootScope.activeTrialMode();
    }
});



var logArray = ['','','','',''];
function showLog(message) {
    logArray.shift();
    logArray.push(message);
    var x = document.getElementById("toastMessage");
    x.innerHTML = logArray.join('<br>');
    x.className = "show";
    setTimeout(function () {
        x.className = x.className.replace("show", "");
    }, 3000);
}

setTimeout(function () {
    $('body').on('click', '.image-viewer img', function() {
        if (!$(this).parents('a').length && (this.naturalWidth >= 50 || this.naturalHeight >= 50)) {
            var src = $(this).attr('src');
            angular.element(document.body).injector().get('$rootScope').openImageViewerModal(src);
        }
    });
}, 1000);
